html, body{
  font-size: $base-font-size + px;
  font-family: $base-font-family;
  background-color: $green-light-bg;
  overflow-x: hidden;
  color: $text-black;
  scroll-behavior: smooth;
}

img, video{
  max-width: 100%;
}

a{
  text-decoration: none;
  color: $green-main;

  &:hover, &:active{
    color: $green-hover;
  }

  &.text-white{
    &:hover, &:active{
      color: $green-text !important;
    }
  }
}

p, ul{
  margin-bottom: 20px;
}

section{
  scroll-margin-top: 100px;
}

.bg{
  &-white{
    background-color: white;
  }
  &-green-light{
    background-color: $green-light-bg;
  }
  &-green{
    background-color: $green-main;
  }
  &-green-gradient{
    background-color: $green-main-dark;
    background: linear-gradient(90deg, rgba(50,91,98,1) 0%, rgba(16,121,138,1) 50%, rgba(50,91,98,1) 100%);
  }
  &-green-dark{
    background-color: $green-main-dark;
  }
  &-green-darker{
    background-color: $green-dark-bg;
  }
  &-dark{
    background-color: $bg-dark;
  }
  &-dark-light{
    background-color: $text-black;
  }
}

.border-bottom-grey-light{
  border-bottom: 1px solid $grey-border-light;
}

.box{
  &-shadow{
    box-shadow: 0 0 40px rgba(20, 161, 184, 0.16);
    border-radius: 24px;
    overflow: hidden;

    &-square{
      box-shadow: 0 0 40px rgba(20, 161, 184, 0.16);
      overflow: hidden;
    }

    &-top{
      border-radius: 24px 24px 0 0;
      box-shadow: 0 0 40px rgba(20, 161, 184, 0.16);
      overflow: hidden;
    }
  }

  &-rounded{
    border-radius: 24px;
    overflow: hidden;

    &-top{
      border-radius: 24px 24px 0 0;
      overflow: hidden;
    }
  }
}

.h_230{
  height: 230px;
}

.m{
  &-s{
    &-150{
      margin-left: 150px;
    }

    &--150{
      margin-left: -150px;
    }
  }

  &b-10{
    margin-bottom: 6rem;
  }

  &-b{
    &-30{
      margin-bottom: 30px;
    }

    &-300{
      margin-bottom: 300px;
    }
  }

  &-t{
    &-70{
      margin-top: 70px;
    }

    &--180{
      margin-top: -180px;
    }

    &--280{
      margin-top: -280px;
    }
  }

  &-y{
    &-75{
      margin-top: 75px;
      margin-bottom: 75px;
    }
    &-100{
      margin-top: 100px;
      margin-bottom: 100px;
    }
  }
}

.max-width-centered{
  max-width: 2000px;
  margin: 0 auto;
}

.p{
  &_40{
    padding: 40px;
  }
  &-e_50{
    padding-right: 50px !important;
  }

  &-e_100{
    padding-right: 100px;
  }
}

.table{
  border-color: $grey-border-light;
  margin-bottom: 0;
}

.w{
  &-1{
    width: 1%;
  }
  &_240{
    width: 240px;
  }
}

.z-index-2{
  z-index: 2;
}

@include media-breakpoint-up(lg){
  .h-lg-100{
    height: 100%;
  }

  .m-lg{
    &-s-90{
      margin-left: 90px;
    }

    &-s-150{
      margin-left: 150px;
    }

    &-s--90{
      margin-left: -90px;
    }

    &-s--150{
      margin-left: -150px;
    }
  }
}

@include media-breakpoint-up(sm){
  @include media-breakpoint-down(xl){
    .container{
      max-width: 100%;
    }
  }
}

@include media-breakpoint-up(xxl){
  section{
    scroll-margin-top: 150px;
  }
}